IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'GroupNumber'
    WHERE SysObjects.Name = 'ConferenceRooms'
)
BEGIN
  EXEC sp_executesql N'ALTER TABLE ConferenceRooms ADD GroupNumber INT NULL'
  EXEC sp_executesql N'UPDATE ConferenceRooms SET GroupNumber = 1 WHERE ISNULL(IsTable, 0) = 0'
END